---
title: "Getting Started with Otter"
order: 1
---

Otter helps you provision and configure your servers automatically, without ever needing to log-in to a command prompt. You can define reusable sets of configurations called roles, and then scale your infrastructure by simply assigning these roles to any number of servers.

Otter continuously monitors your servers for configuration changes, and reports when there's configuration drift. You can set servers to automatically remediate drift, or schedule remediation and other configuration changes as needed.

You can manage everything from Otter's web-based dashboard, and selectively share your servers' configuration, state, and change history with other teams, without giving them control, or even requiring them to learn OtterScript.

## Here is a Short Guide to Get You Started Quick:
In this tutorial, you will learn how to define reusable sets of configuration called "roles", and assign those roles to servers to scale your infrastructure.

![Getting Started with Otter](https://youtu.be/TTt83n4l5us){height="480" width="640"}

*View the full step-by-step tutorial [here](https://inedo.com/otter/getting-started){target="_blank"}.*

Otter will install on any supported version of Windows; simply [download](https://inedo.com/otter/download){target="_blank"}, and click through the installer to get Otter up and running in minutes. Through the installer, you select the edition you wish to install; a trial, the free edition, or enter a license key. Review the step-by-step Installation Guide for details as to what's happening behind the scenes.
